Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	database wrapper library for Enlightenment
Name: 		edb
Version: 	20071209
Release: 	1
License:	BSD
URL: 		http://www.enlightenment.org
Source0: 	%{name}-%{version}.tar.gz
Group: 		Graphical Desktop/Enlightenment17
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  libglib-devel
BuildRequires:  gtk+-devel
BuildRequires:  ncurses-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel

%description 
EDB is a database convenience library wrapped around the Berkeley DB 2.7.7 by Sleepycat Software.
It is intended to make accessing database information portable, easy, fast and efficient. 
EDB provides an excellent method of storing and retrieving application configuration information,
although it can be used for more extensively than that.
Ebits, the predecessor to Edje, even used EDB as a container for Ebits themes prior to EET.
An Edb consists of a series of key/value pairs, which can consist of a variety of data types,
including integers, floating point values, strings, and binary data.
The simplified API provides simple, complete, and unified functions for managing
and accessing your database. In addition to the library, a variety of tools are available to
access and modify your EDBs. edb_ed provides a simple command line interface that can easily
be scripted, especially useful for use with the GNU autotools suite.
edb_vt_ed provides an easy to use curses interface.
And edb_gtk_ed provides an elegant and easy GUI interface,
especially useful for end user editing of configuration data contained in EDBs.

%package devel
Summary:        Development files for edb
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using edb

%prep
%setup -q -n %name

%build
./autogen.sh
%configure -prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-PLAIN README src/LICENSE
%_bindir/%{name}_*
%_libdir/*.so.*
%_libdir/*.la

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.so
%_pkgconfig

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Version Update
* Sat Mar 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5.007-5
- recompiled package
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5.007-4
- recompiled package
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5.007-3
- recompiled package
* Fri Aug 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5.007-2
- recompiled package 
* Fri Jun 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5.007-1
- version update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5.004-1
- Initial Release
